<?xml version="1.0" encoding="UTF-8"?>

<settings>

	<language id="espresso.default.HTML">
		
		<!-- The root zone name for this language. This can be defined in one of the syntax definitions under Syntaxes, or in another bundle. -->
		<syntax-name>language-root.html</syntax-name>
		
		<!-- The name of the language as presented to the user -->
		<name>HTML</name>
		
		<!-- Ways to detect if a certain file is in this language -->
		<detectors>
			<extension>html</extension>
			<extension>htm</extension>
			<extension>shtml</extension>
			<extension>shtm</extension>
			<extension>xhtml</extension>
			<match-content lines="2"><![CDATA[(?i)<!DOCTYPE html]]></match-content>
			<match-content lines="1"><![CDATA[(?i)<html]]></match-content>
			
			<combo>
				<extension>xhtml</extension>
				<match-content><![CDATA[^<\?xml]]></match-content>
			</combo>
		</detectors>
		
	</language>
	
	<language id="espresso.default.XML">
		
		<syntax-name>language-root.xml</syntax-name>
		<name>XML</name>
		<detectors>
			<extension>xml</extension>
			<match-content><![CDATA[^<\?xml]]></match-content>
		</detectors>
		
	</language>

	<language id="espresso.default.XSL">
		
		<syntax-name>language-root.xml.xsl</syntax-name>
		<name>XSL</name>
		<detectors>
			<extension>xsl</extension>
			<extension>xslt</extension>
			<extension>plist</extension>
			<combo>
				<extension>xsl</extension>
				<match-content><![CDATA[^<\?xml]]></match-content>
			</combo>
			<combo>
				<extension>xslt</extension>
				<match-content><![CDATA[^<\?xml]]></match-content>
			</combo>
		</detectors>
		
	</language>
	
	<language id="espresso.default.SVG">
		<syntax-name>language-root.xml.svg</syntax-name>
		<name>SVG</name>
		<detectors>
			<extension>svg</extension>
			<match-content><![CDATA[^(?i)<!DOCTYPE\s+svg\s]]></match-content>
			<combo>
				<extension>svg</extension>
				<match-content><![CDATA[^<\?xml]]></match-content>
			</combo>
		</detectors>
	</language>
	
</settings>
